<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4027
Name: Grund für Medikation
Description: Grund für die Medikation, in diesem Kontext ausgedrückt in patientenverständlicher Sprache.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4027-2014-11-01T000000">
   <title>Grund für Medikation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4027
Context: *[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]
Item: (Reasonformedication)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]"
         id="d114e3098-false-d41082e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027'])&gt;=1">(Reasonformedication): Element hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027'])&lt;=1">(Reasonformedication): Element hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4027
Context: *[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']
Item: (Reasonformedication)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']"
         id="d114e3136-false-d41106e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="string(@classCode)=('OBS')">(Reasonformedication): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="string(@moodCode)=('EVN')">(Reasonformedication): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4027'])&gt;=1">(Reasonformedication): Element hl7:templateId[@root='1.2.276.0.76.10.4027'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4027'])&lt;=1">(Reasonformedication): Element hl7:templateId[@root='1.2.276.0.76.10.4027'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="count(hl7:code[(@code='55607006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Reasonformedication): Element hl7:code[(@code='55607006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="count(hl7:code[(@code='55607006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Reasonformedication): Element hl7:code[(@code='55607006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Reasonformedication): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Reasonformedication): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="count(hl7:value)&gt;=1">(Reasonformedication): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="count(hl7:value)&lt;=1">(Reasonformedication): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4027
Context: *[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']/hl7:templateId[@root='1.2.276.0.76.10.4027']
Item: (Reasonformedication)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']/hl7:templateId[@root='1.2.276.0.76.10.4027']"
         id="d114e3144-false-d41179e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Reasonformedication): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4027')">(Reasonformedication): Der Wert von @root MUSS '1.2.276.0.76.10.4027' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4027
Context: *[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']/hl7:id
Item: (Reasonformedication)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4027
Context: *[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']/hl7:code[(@code='55607006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Reasonformedication)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']/hl7:code[(@code='55607006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d114e3152-false-d41208e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Reasonformedication): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="@nullFlavor or (@code='55607006' and @codeSystem='2.16.840.1.113883.6.96')">(Reasonformedication): Der Elementinhalt MUSS einer von 'code '55607006' codeSystem '2.16.840.1.113883.6.96'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4027
Context: *[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Reasonformedication)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d114e3157-false-d41229e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Reasonformedication): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="@nullFlavor or (@code='completed')">(Reasonformedication): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4027
Context: *[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']/hl7:value
Item: (Reasonformedication)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']/hl7:value"
         id="d114e3162-false-d41250e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Reasonformedication): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="string(@nullFlavor)=('OTH')">(Reasonformedication): Der Wert von @nullFlavor MUSS 'OTH' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(Reasonformedication): Attribute @nullFlavor MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="count(hl7:originalText[not(@nullFlavor)])&gt;=1">(Reasonformedication): Element hl7:originalText[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="count(hl7:originalText[not(@nullFlavor)])&lt;=1">(Reasonformedication): Element hl7:originalText[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4027
Context: *[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']/hl7:value/hl7:originalText[not(@nullFlavor)]
Item: (Reasonformedication)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']/hl7:value/hl7:originalText[not(@nullFlavor)]"
         id="d114e3180-false-d41283e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Reasonformedication): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(Reasonformedication): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(Reasonformedication): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4027
Context: *[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']/hl7:value/hl7:originalText[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (Reasonformedication)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']]/hl7:observation[hl7:templateId/@root='1.2.276.0.76.10.4027']/hl7:value/hl7:originalText[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d114e3182-false-d41309e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Reasonformedication): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20160621T145116/tmp-1.2.276.0.76.10.4027-2014-11-01T000000.html"
              test="@value">(Reasonformedication): Attribut @value MUSS vorkommen.</assert>
   </rule>
</pattern>
